package com.persagy.apm.alarmservice.alarmrecord.controller;

import com.persagy.apm.alarmservice.alarmrecord.model.dto.CreateAlarmCommentDTO;
import com.persagy.apm.alarmservice.alarmrecord.model.dto.PageQueryAlarmCommentDTO;
import com.persagy.apm.alarmservice.alarmrecord.model.dto.PageQueryAlarmRecordDTO;
import com.persagy.apm.alarmservice.alarmrecord.model.vo.AlarmCommentListItem;
import com.persagy.apm.alarmservice.alarmrecord.model.vo.AlarmRecordListItem;
import com.persagy.apm.common.response.ApmResponseUpsertVO;
import com.persagy.apm.common.response.CommonResult;
import com.persagy.apm.common.response.PageList;
import com.persagy.apm.common.utils.ResultHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;

/**
 * 报警批注控制层
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Api(tags = "报警批注") 
@Validated
@RestController
@RequestMapping("alarm_comments")
public class AlarmCommnetController {

	@ApiOperation(value = "报警批注列表")
	@PostMapping("/query")
	public CommonResult<PageList<AlarmCommentListItem>> queryCurrentAlarmRecord(
	        @Valid @RequestBody PageQueryAlarmCommentDTO pageQueryAlarmCommentDTO) {
        List<AlarmCommentListItem> resultList = new ArrayList<>();
        return ResultHelper.multi(resultList);
	}

    @ApiOperation(value = "创建报警批注")
    @PostMapping("/create")
    public CommonResult<ApmResponseUpsertVO> createAlarmComment(
            @Valid @RequestBody CreateAlarmCommentDTO createAlarmCommentDTO) {
        String id = "";
        return ResultHelper.single(new ApmResponseUpsertVO(id));
    }
}

