package com.persagy.apm.alarmservice.alarmrecord.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警等级
 *
 * @author lixing
 * @version V1.0 2021/9/20 11:08 上午
 **/
@AllArgsConstructor
public enum EnumAlarmLevel {
    /**
     * 报警等级
     */
    S("1", "高"),
    A("2", "中"),
    B("3", "低");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 枚举type值
     * @return 枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static EnumAlarmLevel getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        EnumAlarmLevel[] enums = EnumAlarmLevel.values();
        for (EnumAlarmLevel item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
