package com.persagy.apm.alarmservice.alarmrecord.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警状态
 *
 * @author lixing
 * @version V1.0 2021/9/20 11:08 上午
 **/
@AllArgsConstructor
public enum EnumAlarmState {
    /**
     * 报警状态
     */
    UN_HANDLE("1", "未恢复"),
    END("2", "已恢复"),
    EXPIRE("3", "已过期");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 枚举type值
     * @return 枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static EnumAlarmState getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        EnumAlarmState[] enums = EnumAlarmState.values();
        for (EnumAlarmState item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
