package com.persagy.apm.alarmservice.alarmrecord.model;

import com.persagy.apm.alarmservice.alarmcondition.model.ConvertAlarmConditionTool;
import com.persagy.apm.alarmservice.alarmrecord.model.dto.PageQueryAlarmRecordDTO;
import com.persagy.apm.alarmservice.alarmrecord.model.vo.AlarmRecordListItem;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmrecord.QueryAlarmRecordDTO;
import com.persagy.apm.energyalarmstarter.alarmdata.model.vo.AlarmRecordItem;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

/**
 * 报警记录(AlarmRecord) dto、vo、do转换工具类
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertAlarmRecordTool {
    ConvertAlarmRecordTool INSTANCE = Mappers.getMapper(ConvertAlarmRecordTool.class);

    @Mappings({
            @Mapping(source = "alarmLevel", target = "level"),
            @Mapping(source = "triggerStartTime", target = "triggerDurationStart"),
            @Mapping(source = "triggerEndTime", target = "triggerDurationEnd"),
            @Mapping(source = "alarmItemCode", target = "itemCode"),
            @Mapping(source = "alarmState", target = "state"),
            @Mapping(source = "alarmTreatState", target = "treatState"),
            @Mapping(source = "alarmTreatMode", target = "treatMode"),
    })
    QueryAlarmRecordDTO convert2QueryAlarmRecordDTO(PageQueryAlarmRecordDTO pageQueryAlarmRecordDTO);
}
