package com.persagy.apm.alarmservice.alarmrecord.model.dto;

import com.persagy.apm.common.model.dto.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 查询报警记录DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
public class PageQueryAlarmRecordDTO extends PageDTO {
    @ApiModelProperty(value = "报警开始时间")
    private Date triggerStartTime;
    @ApiModelProperty(value = "报警结束时间")
    private Date triggerEndTime;
    @ApiModelProperty(value = "分组id")
    private List<String> groupId;
    @ApiModelProperty(value = "报警类型编码")
    private List<String> alarmItemCode;
    @ApiModelProperty(value = "报警状态")
    private List<String> alarmState;
    @ApiModelProperty(value = "报警对象名称(模糊查询)")
    private String objName;
    @ApiModelProperty(value = "报警等级")
    private List<String> alarmLevel;
    @ApiModelProperty(value = "报警处理状态")
    private List<String> alarmTreatState;
    @ApiModelProperty(value = "报警处理方式")
    private List<String> alarmTreatMode;
    @ApiModelProperty(value = "报警系统")
    private List<String> category;
    @ApiModelProperty(value = "项目id")
    private List<String> projectIds;
}
