package com.persagy.apm.alarmservice.calculatemethod.service;

import com.persagy.apm.alarmservice.calculatemethod.model.*;
import com.persagy.apm.alarmservice.calculatemethod.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 计算方式(CalculateMethod) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:43:58
 */
public interface ICalculateMethodService  {
    
    /**
    * 创建计算方式
    *
    * @param addCalculateMethodDTO addDTO
    * @return 计算方式主键
    * @author lixing
    * @version V1.0 2021-09-08 22:43:58
    */
    public String createCalculateMethod(AddCalculateMethodDTO addCalculateMethodDTO);
    
    /**
    * 计算方式详情
    *
    * @param id 主键
    * @return 计算方式do对象
    * @author lixing
    * @version V1.0 2021-09-08 22:43:58
    */
    public CalculateMethod queryCalculateMethodDetail(String id);
    
    /**
    * 更新计算方式
    *
    * @param updateCalculateMethodDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-08 22:43:58
    */
    public void updateCalculateMethod(UpdateCalculateMethodDTO updateCalculateMethodDTO);
    
    /**
    * 删除计算方式
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-08 22:43:58
    */
    public void deleteCalculateMethod(String id);
    
    /**
    * 查询计算方式
    *
    * @param queryCalculateMethodDTO queryDTO
    * @return List<CalculateMethod>
    * @author lixing
    * @version V1.0 2021-09-08 22:43:58
    */
    public List<CalculateMethod> queryCalculateMethodList(QueryCalculateMethodDTO queryCalculateMethodDTO);
    
    /**
    * 分页查询计算方式
    * 
    * @param pageQueryCalculateMethodDTO pageQueryDTO
    * @return IPage<CalculateMethod>
    * @author lixing
    * @version V1.0 2021-09-08 22:43:58
    */
    public IPage<CalculateMethod> pageQueryCalculateMethod(PageQueryCalculateMethodDTO pageQueryCalculateMethodDTO);

    /**
     * 获取计算方式名称
     *
     * @param calculateMethodId 计算方式id
     * @return 计算方式名称
     * @author lixing
     * @version V1.0 2021/9/17 9:46 下午
     */
    String getMethodName(String calculateMethodId);
}
