package com.persagy.apm.alarmservice.group.alarmrule.service;

import com.persagy.apm.alarmservice.group.alarmrule.model.*;
import com.persagy.apm.alarmservice.group.alarmrule.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.alarmservice.group.alarmrule.model.vo.GroupAlarmRuleListItemVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 集团报警规则(GroupAlarmRule) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
public interface IGroupAlarmRuleService  {
    
    /**
    * 创建集团报警规则
    *
    * @param addGroupAlarmRuleDTO addDTO
    * @return 集团报警规则主键
    * @author lixing
    * @version V1.0 2021-09-08 22:35:45
    */
    public String createGroupAlarmRule(AddGroupAlarmRuleDTO addGroupAlarmRuleDTO);
    
    /**
    * 集团报警规则详情
    *
    * @param id 主键
    * @return 集团报警规则do对象
    * @author lixing
    * @version V1.0 2021-09-08 22:35:45
    */
    public GroupAlarmRule queryGroupAlarmRuleDetail(String id);
    
    /**
    * 更新集团报警规则
    *
    * @param updateGroupAlarmRuleDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-08 22:35:45
    */
    public void updateGroupAlarmRule(UpdateGroupAlarmRuleDTO updateGroupAlarmRuleDTO);
    
    /**
    * 删除集团报警规则
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-08 22:35:45
    */
    public void deleteGroupAlarmRule(String id);
    
    /**
    * 查询集团报警规则
    *
    * @param queryGroupAlarmRuleDTO queryDTO
    * @return List<GroupAlarmRule>
    * @author lixing
    * @version V1.0 2021-09-08 22:35:45
    */
    public List<GroupAlarmRule> queryGroupAlarmRuleList(QueryGroupAlarmRuleDTO queryGroupAlarmRuleDTO);
    
    /**
    * 分页查询集团报警规则
    * 
    * @param pageQueryGroupAlarmRuleDTO pageQueryDTO
    * @return IPage<GroupAlarmRule>
    * @author lixing
    * @version V1.0 2021-09-08 22:35:45
    */
    public IPage<GroupAlarmRule> pageQueryGroupAlarmRule(PageQueryGroupAlarmRuleDTO pageQueryGroupAlarmRuleDTO);

}
