package com.persagy.apm.alarmservice.group.management.model;

import com.persagy.apm.alarmservice.alarmcondition.model.AlarmCondition;
import com.persagy.apm.alarmservice.alarmcondition.model.ConvertAlarmConditionTool;
import com.persagy.apm.alarmservice.alarmcondition.model.vo.AlarmConditionItemVO;
import com.persagy.apm.alarmservice.group.management.model.vo.GroupTreeDetailVO;
import com.persagy.apm.alarmservice.group.management.model.vo.GroupTreeVO;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.NullValueMappingStrategy;
import org.mapstruct.factory.Mappers;

/**
 * 分组转换工具类
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertGroupTool {
    ConvertGroupTool INSTANCE = Mappers.getMapper(ConvertGroupTool.class);

    /**
     * 分组树节点对象转换为分组树节点详情对象
     *
     * @param groupTreeVO 分组树节点对象
     * @return 分组树节点详情对象
     * @author lixing
     * @version V1.0 2021/9/19 1:25 下午
     */
    GroupTreeDetailVO convert2DetailDTO(GroupTreeVO groupTreeVO);
}
