package com.persagy.apm.alarmservice.project.alarmrule.model.dto;

import com.persagy.apm.alarmservice.alarmcondition.model.dto.AddAlarmConditionDTO;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto.AddProjectAlarmRuleObjRelDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@Data
@ApiModel(value = "更新项目报警规则入参")
public class UpdateProjectAlarmRuleDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;
    
    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空") // todo 更新校验规则
    private String groupId;
    
    @ApiModelProperty(value = "报警条目编码", required = true)
    @NotNull(message = "报警条目编码不能为空") // todo 更新校验规则
    private String alarmItemCode;
    
    @ApiModelProperty(value = "报警条件id", required = true)
    @NotNull(message = "报警条件id不能为空") // todo 更新校验规则
    private String alarmConditionId;
    
    @ApiModelProperty(value = "所属类型（0项目自定义、1集团标准）", required = true)
    @NotNull(message = "所属类型（0项目自定义、1集团标准）不能为空") // todo 更新校验规则
    private Integer belong;
    
    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空") // todo 更新校验规则
    private String projectId;

    @ApiModelProperty(value = "报警对象ids", required = true)
    @NotNull(message = "报警对象不能为空") // todo 更新校验规则
    private List<AddProjectAlarmRuleObjRelDTO> addRelationList;

    @ApiModelProperty(value = "报警规则", required = true)
    @NotNull(message = "报警规则不能为空") // todo 更新校验规则
    private AddAlarmConditionDTO alarmCondition;
    
}
