package com.persagy.apm.alarmservice.project.alarmrule.service;

import com.persagy.apm.alarmservice.group.alarmrule.model.dto.AddGroupAlarmRuleDTO;
import com.persagy.apm.alarmservice.project.alarmrule.model.*;
import com.persagy.apm.alarmservice.project.alarmrule.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto.AddProjectAlarmRuleObjRelDTO;

/**
 * 项目报警规则(ProjectAlarmRule) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
public interface IProjectAlarmRuleService  {
    
    /**
    * 创建项目报警规则
    *
    * @param addProjectAlarmRuleDTO addDTO
    * @return 项目报警规则主键
    * @author lixing
    * @version V1.0 2021-09-08 22:46:16
    */
    public String createProjectAlarmRule(AddProjectAlarmRuleDTO addProjectAlarmRuleDTO);
    
    /**
    * 项目报警规则详情
    *
    * @param id 主键
    * @return 项目报警规则do对象
    * @author lixing
    * @version V1.0 2021-09-08 22:46:16
    */
    public ProjectAlarmRule queryProjectAlarmRuleDetail(String id);
    
    /**
    * 更新项目报警规则
    *
    * @param updateProjectAlarmRuleDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-08 22:46:16
    */
    public void updateProjectAlarmRule(UpdateProjectAlarmRuleDTO updateProjectAlarmRuleDTO);
    
    /**
    * 删除项目报警规则
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-08 22:46:16
    */
    public void deleteProjectAlarmRule(String id);
    
    /**
    * 查询项目报警规则
    *
    * @param queryProjectAlarmRuleDTO queryDTO
    * @return List<ProjectAlarmRule>
    * @author lixing
    * @version V1.0 2021-09-08 22:46:16
    */
    public List<ProjectAlarmRule> queryProjectAlarmRuleList(QueryProjectAlarmRuleDTO queryProjectAlarmRuleDTO);
    
    /**
    * 分页查询项目报警规则
    * 
    * @param pageQueryProjectAlarmRuleDTO pageQueryDTO
    * @return IPage<ProjectAlarmRule>
    * @author lixing
    * @version V1.0 2021-09-08 22:46:16
    */
    public IPage<ProjectAlarmRule> pageQueryProjectAlarmRule(PageQueryProjectAlarmRuleDTO pageQueryProjectAlarmRuleDTO);

    List<AddProjectAlarmRuleObjRelDTO> addProjectAlarmRules(AddGroupAlarmRuleDTO addGroupAlarmRuleDTO);
}
