package com.persagy.apm.alarmservice.project.monitorindicatorconfig.service;

import com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.*;
import com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.vo.ProjectMonitorIndicatorConfigListItemVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 项目监测指标配置(ProjectMonitorIndicatorConfig) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
public interface IProjectMonitorIndicatorConfigService  {
    
    /**
    * 创建项目监测指标配置
    *
    * @param addProjectMonitorIndicatorConfigDTO addDTO
    * @return 项目监测指标配置主键
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    public String createProjectMonitorIndicatorConfig(AddProjectMonitorIndicatorConfigDTO addProjectMonitorIndicatorConfigDTO);
    
    /**
    * 项目监测指标配置详情
    *
    * @param id 主键
    * @return 项目监测指标配置do对象
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    public ProjectMonitorIndicatorConfig queryProjectMonitorIndicatorConfigDetail(String id);
    
    /**
    * 更新项目监测指标配置
    *
    * @param updateProjectMonitorIndicatorConfigDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    public String updateProjectMonitorIndicatorConfig(UpdateProjectMonitorIndicatorConfigDTO updateProjectMonitorIndicatorConfigDTO);
    
    /**
    * 删除项目监测指标配置
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    public void deleteProjectMonitorIndicatorConfig(String id);
    
    /**
    * 查询项目监测指标配置
    *
    * @param queryProjectMonitorIndicatorConfigDTO queryDTO
    * @return List<ProjectMonitorIndicatorConfig>
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    public List<ProjectMonitorIndicatorConfig> queryProjectMonitorIndicatorConfigList(QueryProjectMonitorIndicatorConfigDTO queryProjectMonitorIndicatorConfigDTO);
    
    /**
    * 分页查询项目监测指标配置
    * 
    * @param pageQueryProjectMonitorIndicatorConfigDTO pageQueryDTO
    * @return IPage<ProjectMonitorIndicatorConfigListItemVO>
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    public IPage<ProjectMonitorIndicatorConfigListItemVO> pageQueryProjectMonitorIndicatorConfig(PageQueryProjectMonitorIndicatorConfigDTO pageQueryProjectMonitorIndicatorConfigDTO);

    /**
     * 根据监测对象id和监测指标id，获取设备监测指标的配置信息
     *
     * @param objId 监测对象id
     * @param monitorIndicatorId 监测指标id
     * @return 设备监测指标的配置信息
     * @author lixing
     * @version V1.0 2021/9/17 2:43 下午
     */
    public ProjectMonitorIndicatorConfig getConfigByObjAndIndicator(String objId, String monitorIndicatorId);
}
