package com.persagy.apm.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 16:46
 */
@ApiModel("设备信息")
@Data
public class GroupManagementDTO{

    @ApiModelProperty("项目id")
    private String projectId;

    @ApiModelProperty("设备名称")
    private String localName;

    @ApiModelProperty(value = "对象类编码",required = true)
    @NotBlank(message = "对象类编码必传")
    private String classCode;

    @ApiModelProperty(value = "查询条件",required = true)
    @NotBlank(message = "查询条件必传")
    private String condition;

    @ApiModelProperty(value = "当前页",required = true)
    @NotBlank(message = "当前页必传")
    private Integer current;

    @ApiModelProperty(value = "每页条数",required = true)
    @NotBlank(message = "每页条数必传")
    private Integer size;
}
